export const columns = [
  {
    title: window.$t("lotCard.iccid"),
    dataIndex: "iccid",
    align: "center",
    ellipsis: true,
    maxWidth: 200
  },
  {
    title: window.$t("lotCard.sourcePlan"),
    dataIndex: "source",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.userName"),
    dataIndex: "userName",
    align: "center",
    ellipsis: true,
  },
  { title: "IMSI", dataIndex: "currentImsi", align: "center", ellipsis: true },
  {
    title: window.$t("lotCard.bind"),
    dataIndex: "currentImsi",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.SimStatus"),
    slotName: "iccidStatus",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.DatapackageStatus"),
    slotName: "DatapackageStatus",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.TotalFlow"),
    dataIndex: "dataUsageTotal",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.NumberTextMessagesSent"),
    dataIndex: "smsTotal",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.validity") + window.$t("lotCard.month"),
    dataIndex: "expireDay",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.ClosingDate"),
    dataIndex: "closeTime",
    align: "center",
    ellipsis: true,
  },
  {
    title: "SIM" + window.$t("lotCard.ActivationDate"),
    dataIndex: "activeTime",
    align: "center",
    ellipsis: true,
  },
  {
    title: '套餐计划名称',
    dataIndex: "simTerminalName",
    align: "center",
    ellipsis: true,
  },
  {
    title: '套餐计划类型',
    dataIndex: "packagePlantype",
    align: "center",
    ellipsis: true,
  },
  {
    title: '套餐商品名称',
    dataIndex: "packageName",
    align: "center",
    ellipsis: true,
  },
  {
    title: '资费名称',
    dataIndex: "tariffName",
    align: "center",
    ellipsis: true,
  },
  {
    title: '流量包名称',
    dataIndex: "productName",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.EarlyWarningState"),
    dataIndex: "forewarningStatus",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.PoolName_Number"),
    dataIndex: "poolName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.TheExpirationTime"),
    dataIndex: "periodOfSilence",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("global.common.operations"),
    dataIndex: "id",
    slotName: "id",
    align: "center",
    width: 200,
    fixed: "right",
  },
];

export const columnsTrafficUse = [
  {
    title: window.$t("lotCard.appName"),
    dataIndex: "appName",
    align: "center",
  },
  {
    title: window.$t("lotCard.mcc"),
    dataIndex: "mcc",
    align: "center",
    width: 100,
  },
  {
    title: window.$t("lotCard.qtaconsumption"),
    dataIndex: "qtaconsumption",
    align: "center",
  },
  { title: window.$t("lotCard.time"), dataIndex: "time", align: "center" },
];

export const SearchForm = [
  {
    type: "input",
    label: "ICCID",
    field: "iccid",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "供应商",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "input",
    label: "客户名称",
    field: "username",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "IMSI",
    field: "currentImsi",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "流量包状态",
    field: "packageStatus",
    options: [], // 默认空，后面会通过字典加载
    dict: "packageStatus",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "SIM状态",
    field: "status",
    options: [], // 默认空，后面会通过字典加载
    dict: "account",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "SIM激活日期",
    field: "activeTime",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "SIM关闭日期",
    field: "closeTime",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "input",
    label: "IMSI所属供应商名称 ",
    field: "currentImsiProvider",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
];


export const columnsCard = [
  {
    title: window.$t('lotCard.PackageName'),
    slotName: 'name',
    align: 'center', ellipsis: true
  }, {
    title: window.$t('lotCard.PackageStatus'),
    dataIndex: 'status',
    align: 'center', ellipsis: true
  },
  {
    title: window.$t('lotCard.validity') + (window.$t('lotCard.month')),
    dataIndex: 'validDays',
    align: 'center', ellipsis: true
  },
  {
    title: window.$t('lotCard.AvailableFlow'),
    dataIndex: 'dataTotal',
    align: 'center', ellipsis: true
  },
  {
    title: window.$t('lotCard.Usedflow'),
    dataIndex: 'dataUsage',
    align: 'center', ellipsis: true
  },
  {
    title: window.$t('lotCard.TrafficUsedToday'),
    dataIndex: 'dataToday',
    align: 'center', ellipsis: true
  },
  {
    title: window.$t('lotCard.ActivationDate'),
    dataIndex: 'activeTime',
    align: 'center', ellipsis: true
  },
  {
    title: window.$t('lotCard.DueDate'),
    dataIndex: 'expiryTime',
    align: 'center', ellipsis: true
  },
]

export const columnsTopup = [
  {
    title: window.$t('lotCard.OrderNumber'),
    dataIndex: 'orderId',
    ellipsis: true,
    align: 'center',
  },
  {
    title: window.$t('lotCard.PurchasePackage'),
    dataIndex: 'trafficName',
    ellipsis: true,
    align: 'center',
  },
  {
    title: window.$t('lotCard.PackagePrice'),
    dataIndex: 'payAmount',
    ellipsis: true,
    align: 'center',
  },
  {
    title: window.$t('lotCard.operator'),
    dataIndex: 'source',
    ellipsis: true,
    align: 'center',
  },
  {
    title: window.$t('lotCard.PaymentStatus'),
    slotName: 'puyStatus',
    ellipsis: true,
    align: 'center',
  },
  {
    title: window.$t('lotCard.OrderDate'),
    dataIndex: 'createdAt',
    ellipsis: true,
    align: 'center',
  },
]

export const columnsAmount = [
  // {
  //   title: window.$t('lotCard.ID'),
  //   dataIndex: 'productId',
  //   align: 'center', ellipsis: true
  // },
  // {
  //   title: 'IMIS',
  //   dataIndex: 'imsi',
  //   align: 'center', ellipsis: true
  // },

  {
    title: 'ICCID',
    dataIndex: 'ICCID',
    align: 'center', ellipsis: true
  },
  {
    title: `${window.$t('lotCard.FlowRate')}(MB)`,
    dataIndex: 'dataVolTotalKb',
    align: 'center', ellipsis: true
  },
  {
    title: window.$t('lotCard.CargoAreaCode'),
    dataIndex: 'mcc',
    align: 'center', ellipsis: true
  },
  {
    title: window.$t('lotCard.DetailDate'),
    dataIndex: 'startTime',
    align: 'center', ellipsis: true
  },
]


export const columnsOperation = [
  {
    title: window.$t('lotCard.settingUser'),
    dataIndex: 'userId',
    ellipsis: true,
    align: 'center',
  },
  {
    title: 'iccid',
    dataIndex: 'iccid',
    ellipsis: true,
    align: 'center',
  },
  {
    title: window.$t('lotCard.source'),
    dataIndex: 'source',
    ellipsis: true,
    align: 'center',
  },
  {
    title: window.$t('lotCard.Controls'),
    dataIndex: 'operation',
    ellipsis: true,
    align: 'center',
  },
  {
    title: window.$t('lotCard.remark'),
    dataIndex: 'remark',
    ellipsis: true,
    align: 'center',
  },
]
